JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.LARGE_INTEGER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.LARGE_INTEGER

Direct Known Subclasses:
  WinNT.LARGE_INTEGER.ByReference

Enclosing interface:
  WinNT

    public static class WinNT.LARGE_INTEGER

extends Structure

A 64-bit integer;

Nested Class Summary
`static class` | `WinNT.LARGE_INTEGER.ByReference`
`static class` | `WinNT.LARGE_INTEGER.LowHigh`
`static class` | `WinNT.LARGE_INTEGER.UNION`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinNT.LARGE_INTEGER.UNION` | `u`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.LARGE_INTEGER()`

Method Summary
`WinDef.DWORD` | `getHigh()` High DWORD.
`WinDef.DWORD` | `getLow()` Low DWORD.
`long` | `getValue()` 64-bit value.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### u

    public WinNT.LARGE_INTEGER.UNION u

Constructor Detail

### WinNT.LARGE_INTEGER

    public WinNT.LARGE_INTEGER()

Method Detail

### getLow

    public WinDef.DWORD getLow()

  Low DWORD.

  Returns:
    DWORD.

### getHigh

    public WinDef.DWORD getHigh()

  High DWORD.

  Returns:
    DWORD.

### getValue

    public long getValue()

  64-bit value.

  Returns:
    64-bit value.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.